const modulePublish = {
    state: {
        projectPublishVisible: false, //发布窗口的状态,
        pageId: "", //项目id
        pageState: 0, //发布状态
        pageName: '', //项目名称，
        publishUrl: '', //发布地址
        thumbnailUrl: '', //缩略图地址
        qRCodeUrl: "", //二维码地址
        releaseToCommunity: false, //发布到社区
        publishConfirmVisible: false, //发布确认窗口,
        errorPublishVisible: false, //发布失败窗口
        successPublishVisible: false, //发布成功窗口
        isCheckPublish: false //是否直接查看发布
    },
    mutations: {
        /**
         * 更新发布窗口状态
         * @param {*} state 
         * @param {是否显示} projectPublishVisible 
         */
        updateProjectPublishVisible(state, projectPublishVisible) {
            state.projectPublishVisible = projectPublishVisible;
        },


        /**
         * 设置当前的工程信息
         * @param {*} state 
         * @param {*} pageId 
         */
        updateProjectInfo(state, pageInfo) {
            if (pageInfo) {
                state.pageId = pageInfo.pageId;
                state.pageName = pageInfo.pageName;
                if (pageInfo.pageState)
                    state.pageState = pageInfo.pageState;
            }
        },

        updatePageInfo(state, pageInfo) {
            if (pageInfo) {
                state.pageId = pageInfo.pageID;
                state.pageName = pageInfo.name;
                state.pageState = pageInfo.publishState;
                state.publishUrl = pageInfo.publishUrl;
                state.thumbnailUrl = pageInfo.picture;
                state.qRCodeUrl = window.IMG_URL + pageInfo.qrCodeUrl;
            }
        },

        //设置发布到社区
        updateReleaseToCommunity(state, releaseToCommunity) {
            state.releaseToCommunity = releaseToCommunity;
        },
        /**
         * 更新发布确认窗口
         * @param {*} state 
         * @param {*} publishConfirmVisible 
         */
        updatePublishConfirmVisible(state, publishConfirmVisible) {
            state.publishConfirmVisible = publishConfirmVisible;
        },

        /**
         * 更新发布失败窗口
         * @param {*} state 
         * @param {*} errorPublishVisible 
         */
        updateErrorPublishVisible(state, errorPublishVisible) {
            state.errorPublishVisible = errorPublishVisible;
        },

        /**
         * 更新发布成功窗口
         * @param {*} state 
         * @param {*} successPublishVisible 
         */
        updateSuccessPublishVisible(state, successPublishVisible) {
            state.successPublishVisible = successPublishVisible;
        },

        /**
         * 修改是否直接查看发布
         * @param {*} state 
         * @param {*} isCheckPublish 
         */
        updateCheckPublish(state, isCheckPublish) {
            state.isCheckPublish = isCheckPublish;
        }
    }
};

export default modulePublish