import Vue from 'vue';
import App from './App.vue';
import axios from 'axios';
import avwDevStudio from '../lib/avw.devstudio.umd.min.js';
import ElementUI from 'element-ui';
import store from '../lib/store';
import vuexEvent from '../lib/vuex-events';
import 'element-ui/lib/theme-chalk/index.css';
import './assets/styles/cover.scss';
import './assets/styles/common.scss';

window.logger = {
  debug: console.debug.bind(window.console),
  info: console.info.bind(window.console),
  warn: console.warn.bind(window.console),
  error: console.error.bind(window.console),
  dir: console.dir.bind(window.console),
  time: console.time.bind(window.console),
  timeEnd: console.timeEnd.bind(window.console),
};

/*  多语言实例 */
import VueI18n from 'vue-i18n';
Vue.use(VueI18n);
const i18n = new VueI18n({
  locale: 'zh',
  messages: {
    zh: require('./assets/lang/zh'), // 中文语言包
    en: require('./assets/lang/en') // 英文语言包
  }
});
let language = (navigator.language || navigator.browserLanguage).toLowerCase();
if (language.indexOf('zh') >= 0) {
  i18n.locale = 'zh';
} else {
  i18n.locale = 'en';
}

Vue.config.productionTip = false;
Vue.prototype.$axios = axios;
Vue.use(ElementUI);
Vue.use(avwDevStudio);
vuexEvent(store);
new Vue({
  i18n,
  store,
  render: (h) => h(App),
}).$mount('#app');
