var path = require('path');
const CopyPlugin = require('copy-webpack-plugin');

module.exports = {
  lintOnSave: false,
  productionSourceMap: false,
  css: {
    extract: false,
  },
  outputDir: './public/lib/avw-charts',
  chainWebpack: (config) => {
    config
      .plugin('CopyPlugin')
      .use(CopyPlugin)
      .tap((args) => {
        args[0] = {
          patterns: [
            {
              from: path.resolve(__dirname, 'src/charts/'),
              to: 'assets',
              globOptions: {
                ignore: ['**/*.vue', '**/*.js', '**/utils/**', '**/chart-definitions.json'],
              },
            },
          ],
        };
        return args;
      });
  },
};
